Bug 1729180 - lagan-2.0-25.fc31 FTBFS: src/fchaos.c:532: undefined reference to `findPrev'
Summary: lagan-2.0-25.fc31 FTBFS: src/fchaos.c:532: undefined reference to `findPrev'
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: lagan
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christian Iseli
QA Contact: Fedora Extras Quality Assurance
URL: https://apps.fedoraproject.org/kosche...
Whiteboard:
: 1735981 (view as bug list)
Depends On:
Blocks: F31FTBFS 1732841
TreeView+ depends on / blocked
 
Reported: 2019-07-11 13:48 UTC by Petr Pisar
Modified: 2019-09-10 23:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-10 23:03:56 UTC


Attachments (Terms of Use)

Description Petr Pisar 2019-07-11 13:48:01 UTC
lagan-2.0-25.fc31 fails to build in Fedora 31:

gcc -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -fasynchronous-unwind-tables -fstack-clash-protection -o ../chaos fchaos.c thrtrie.c skiplist.c global.c translate.c filebuffer.c -lm -DCHAOS__FLAG
[...]
BUILDSTDERR: /usr/bin/ld: /tmp/ccKa2PVI.o: in function `connectToPrev':
BUILDSTDERR: /builddir/build/BUILD/lagan20/src/fchaos.c:532: undefined reference to `findPrev'
BUILDSTDERR: collect2: error: ld returned 1 exit status

Comment 1 Petr Pisar 2019-07-11 13:54:37 UTC
I guess it's because the distribution linker flags %{build_ldflags} are not honored.

Comment 2 Ben Cotton 2019-08-13 17:10:50 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 3 Ben Cotton 2019-08-13 19:03:24 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 4 Petr Pisar 2019-09-03 06:35:18 UTC
*** Bug 1735981 has been marked as a duplicate of this bug. ***

Comment 5 Christian Iseli 2019-09-10 23:03:56 UTC
Fixed in rawhide, was due to gcc failing to automatically inline a function, solved by forcing inlining


Note You need to log in before you can comment on or make changes to this bug.